import getLog from './get-log';

const deleteSecret = async ({
  database,
  secretsTableName,
  escapeId
}, selector) => {
  const log = getLog('secretsManager:deleteSecret');
  log.debug(`removing secret from the database`);
  log.verbose(`selector: ${selector}`);
  log.verbose(`secretsTableName: ${secretsTableName}`);
  log.debug(`executing SQL query`);
  await database.exec(`DELETE FROM ${escapeId(secretsTableName)} WHERE id="${selector}"`);
  log.debug(`query executed successfully`);
};

export default deleteSecret;
//# sourceMappingURL=delete-secret.js.map