import getLog from './get-log';

const dispose = async ({
  database
}) => {
  const log = getLog('dispose');
  log.debug(`disposing the event store`);
  await database.close();
  log.debug(`the event store disposed`);
};

export default dispose;
//# sourceMappingURL=dispose.js.map