"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = _interopRequireDefault(require("./get-log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const deleteSecret = async ({
  database,
  secretsTableName,
  escapeId
}, selector) => {
  const log = (0, _getLog.default)('secretsManager:deleteSecret');
  log.debug(`removing secret from the database`);
  log.verbose(`selector: ${selector}`);
  log.verbose(`secretsTableName: ${secretsTableName}`);
  log.debug(`executing SQL query`);
  await database.exec(`DELETE FROM ${escapeId(secretsTableName)} WHERE id="${selector}"`);
  log.debug(`query executed successfully`);
};

var _default = deleteSecret;
exports.default = _default;
//# sourceMappingURL=delete-secret.js.map