"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const injectSecret = async ({
  database,
  escapeId,
  escape,
  secretsTableName
}, {
  idx,
  id,
  secret
}) => {
  const tableNameAsId = escapeId(secretsTableName);
  await database.exec(`INSERT INTO ${tableNameAsId}(
      "idx",
      "id",
      "secret"
    ) VALUES(
      ${+idx},
      ${escape(id)},
      ${escape(secret)}
    )`);
};

var _default = injectSecret;
exports.default = _default;
//# sourceMappingURL=inject-secret.js.map