const removeEventSubscriber = async (pool, params) => {
  const {
    subscribersTableName,
    database,
    escapeId,
    escape
  } = pool;
  const {
    applicationName,
    eventSubscriber
  } = params;
  const subscribersTableNameAsId = escapeId(subscribersTableName);
  await database.exec(`
    DELETE FROM ${subscribersTableNameAsId}
    WHERE "applicationName" = ${escape(applicationName)}
    AND "eventSubscriber" = ${escape(eventSubscriber)};
  `);
};

export default removeEventSubscriber;
//# sourceMappingURL=remove-event-subscriber.js.map