"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isAlreadyExistsError = isAlreadyExistsError;
exports.isNotExistError = isNotExistError;

function isAlreadyExistsError(message) {
  return /(?:Table|Index).*? already exists$/i.test(message);
}

function isNotExistError(message) {
  return /^SQLITE_ERROR: no such (?:table|(?:Table|Index)).*?$/.test(message);
}
//# sourceMappingURL=resource-errors.js.map