"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SqliteAdapterConfigSchema = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

const SqliteAdapterConfigSchema = _eventstoreBase.iots.intersection([_eventstoreBase.AdapterConfigSchema, _eventstoreBase.iots.partial({
  databaseFile: _eventstoreBase.iotsTypes.NonEmptyString,
  secretsTableName: _eventstoreBase.iotsTypes.NonEmptyString,
  eventsTableName: _eventstoreBase.iotsTypes.NonEmptyString,
  snapshotsTableName: _eventstoreBase.iotsTypes.NonEmptyString,
  subscribersTableName: _eventstoreBase.iotsTypes.NonEmptyString
})]);

exports.SqliteAdapterConfigSchema = SqliteAdapterConfigSchema;
//# sourceMappingURL=types.js.map